/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import java.awt.Shape;
/*     */ import java.awt.geom.AffineTransform;
/*     */ import java.awt.geom.Arc2D;
/*     */ import java.awt.geom.PathIterator;
/*     */ import org.apache.batik.ext.awt.geom.ExtendedGeneralPath;
/*     */ import org.apache.batik.parser.DefaultPathHandler;
/*     */ import org.apache.batik.parser.ParseException;
/*     */ import org.apache.batik.parser.PathParser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractSVGNormPathSegList
/*     */   extends AbstractSVGPathSegList
/*     */ {
/*     */   protected void doParse(String value, ListHandler handler) throws ParseException {
/*  55 */     PathParser pathParser = new PathParser();
/*     */     
/*  57 */     NormalizedPathSegListBuilder builder = new NormalizedPathSegListBuilder(this, handler);
/*     */     
/*  59 */     pathParser.setPathHandler(builder);
/*  60 */     pathParser.parse(value);
/*     */   }
/*     */   
/*     */   protected class NormalizedPathSegListBuilder
/*     */     extends DefaultPathHandler {
/*     */     protected ListHandler listHandler;
/*     */     
/*     */     public NormalizedPathSegListBuilder(AbstractSVGNormPathSegList this$0, ListHandler listHandler) {
/*  68 */       this.this$0 = this$0;
/*  69 */       this.listHandler = listHandler;
/*     */     }
/*     */     protected AbstractSVGNormPathSegList.SVGPathSegGenericItem lastAbs;
/*     */     private final AbstractSVGNormPathSegList this$0;
/*     */     
/*     */     public void startPath() {
/*  75 */       this.listHandler.startList();
/*  76 */       this.lastAbs = new AbstractSVGNormPathSegList.SVGPathSegGenericItem(this.this$0, (short)2, "M", 0.0F, 0.0F, 0.0F, 0.0F, 0.0F, 0.0F);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  84 */     public void endPath() { this.listHandler.endList(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  91 */     public void movetoRel(float x, float y) { movetoAbs(this.lastAbs.getX() + x, this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void movetoAbs(float x, float y) {
/*  98 */       this.listHandler.item(new AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem(this.this$0, (short)2, "M", x, y));
/*     */ 
/*     */       
/* 101 */       this.lastAbs.setX(x);
/* 102 */       this.lastAbs.setY(y);
/* 103 */       this.lastAbs.setPathSegType((short)2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 110 */     public void closePath() { this.listHandler.item(new AbstractSVGPathSegList.SVGPathSegItem(this.this$0, (short)1, "z")); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 118 */     public void linetoRel(float x, float y) { linetoAbs(this.lastAbs.getX() + x, this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void linetoAbs(float x, float y) {
/* 125 */       this.listHandler.item(new AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem(this.this$0, (short)4, "L", x, y));
/*     */ 
/*     */       
/* 128 */       this.lastAbs.setX(x);
/* 129 */       this.lastAbs.setY(y);
/* 130 */       this.lastAbs.setPathSegType((short)4);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 137 */     public void linetoHorizontalRel(float x) { linetoAbs(this.lastAbs.getX() + x, this.lastAbs.getY()); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 144 */     public void linetoHorizontalAbs(float x) { linetoAbs(x, this.lastAbs.getY()); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 151 */     public void linetoVerticalRel(float y) { linetoAbs(this.lastAbs.getX(), this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 158 */     public void linetoVerticalAbs(float y) { linetoAbs(this.lastAbs.getX(), y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 168 */     public void curvetoCubicRel(float x1, float y1, float x2, float y2, float x, float y) { curvetoCubicAbs(this.lastAbs.getX() + x1, this.lastAbs.getY() + y1, this.lastAbs.getX() + x2, this.lastAbs.getY() + y2, this.lastAbs.getX() + x, this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void curvetoCubicAbs(float x1, float y1, float x2, float y2, float x, float y) {
/* 180 */       this.listHandler.item(new AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem(this.this$0, (short)6, "C", x1, y1, x2, y2, x, y));
/*     */ 
/*     */       
/* 183 */       this.lastAbs.setValue(x1, y1, x2, y2, x, y);
/* 184 */       this.lastAbs.setPathSegType((short)6);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 193 */     public void curvetoCubicSmoothRel(float x2, float y2, float x, float y) throws ParseException { curvetoCubicSmoothAbs(this.lastAbs.getX() + x2, this.lastAbs.getY() + y2, this.lastAbs.getX() + x, this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void curvetoCubicSmoothAbs(float x2, float y2, float x, float y) throws ParseException {
/* 204 */       if (this.lastAbs.getPathSegType() == 6) {
/* 205 */         curvetoCubicAbs(this.lastAbs.getX() + this.lastAbs.getX() - this.lastAbs.getX2(), this.lastAbs.getY() + this.lastAbs.getY() - this.lastAbs.getY2(), x2, y2, x, y);
/*     */       }
/*     */       else {
/*     */         
/* 209 */         curvetoCubicAbs(this.lastAbs.getX(), this.lastAbs.getY(), x2, y2, x, y);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 219 */     public void curvetoQuadraticRel(float x1, float y1, float x, float y) throws ParseException { curvetoQuadraticAbs(this.lastAbs.getX() + x1, this.lastAbs.getY() + y1, this.lastAbs.getX() + x, this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void curvetoQuadraticAbs(float x1, float y1, float x, float y) throws ParseException {
/* 229 */       curvetoCubicAbs(this.lastAbs.getX() + 2.0F * (x1 - this.lastAbs.getX()) / 3.0F, this.lastAbs.getY() + 2.0F * (y1 - this.lastAbs.getY()) / 3.0F, x + 2.0F * (x1 - x) / 3.0F, y + 2.0F * (y1 - y) / 3.0F, x, y);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 234 */       this.lastAbs.setX1(x1);
/* 235 */       this.lastAbs.setY1(y1);
/* 236 */       this.lastAbs.setPathSegType((short)8);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 244 */     public void curvetoQuadraticSmoothRel(float x, float y) { curvetoQuadraticSmoothAbs(this.lastAbs.getX() + x, this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void curvetoQuadraticSmoothAbs(float x, float y) {
/* 252 */       if (this.lastAbs.getPathSegType() == 8) {
/* 253 */         curvetoQuadraticAbs(this.lastAbs.getX() + this.lastAbs.getX() - this.lastAbs.getX1(), this.lastAbs.getY() + this.lastAbs.getY() - this.lastAbs.getY1(), x, y);
/*     */       }
/*     */       else {
/*     */         
/* 257 */         curvetoQuadraticAbs(this.lastAbs.getX(), this.lastAbs.getY(), x, y);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 270 */     public void arcRel(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y) throws ParseException { arcAbs(rx, ry, xAxisRotation, largeArcFlag, sweepFlag, this.lastAbs.getX() + x, this.lastAbs.getY() + y); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void arcAbs(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y) throws ParseException {
/* 283 */       if (rx == 0.0F || ry == 0.0F) {
/* 284 */         linetoAbs(x, y);
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 289 */       double x0 = this.lastAbs.getX();
/* 290 */       double y0 = this.lastAbs.getY();
/* 291 */       if (x0 == x && y0 == y) {
/*     */         return;
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 297 */       Arc2D arc = ExtendedGeneralPath.computeArc(x0, y0, rx, ry, xAxisRotation, largeArcFlag, sweepFlag, x, y);
/*     */       
/* 299 */       if (arc == null)
/*     */         return; 
/* 301 */       AffineTransform t = AffineTransform.getRotateInstance(Math.toRadians(xAxisRotation), arc.getCenterX(), arc.getCenterY());
/*     */       
/* 303 */       Shape s = t.createTransformedShape(arc);
/*     */       
/* 305 */       PathIterator pi = s.getPathIterator(new AffineTransform());
/* 306 */       float[] d = { 0.0F, 0.0F, 0.0F, 0.0F, 0.0F, 0.0F };
/* 307 */       int i = -1;
/*     */       
/* 309 */       while (!pi.isDone()) {
/* 310 */         i = pi.currentSegment(d);
/*     */         
/* 312 */         switch (i) {
/*     */           case 3:
/* 314 */             curvetoCubicAbs(d[0], d[1], d[2], d[3], d[4], d[5]);
/*     */             break;
/*     */         } 
/* 317 */         pi.next();
/*     */       } 
/* 319 */       this.lastAbs.setPathSegType((short)10);
/*     */     }
/*     */   }
/*     */   
/*     */   protected class SVGPathSegGenericItem
/*     */     extends AbstractSVGPathSegList.SVGPathSegItem {
/*     */     private final AbstractSVGNormPathSegList this$0;
/*     */     
/*     */     public SVGPathSegGenericItem(AbstractSVGNormPathSegList this$0, short type, String letter, float x1, float y1, float x2, float y2, float x, float y) {
/* 328 */       super(this$0, type, letter); this.this$0 = this$0;
/* 329 */       this.x1 = x2;
/* 330 */       this.y1 = y2;
/* 331 */       this.x2 = x2;
/* 332 */       this.y2 = y2;
/* 333 */       this.x = x;
/* 334 */       this.y = y;
/*     */     }
/*     */     
/*     */     public void setValue(float x1, float y1, float x2, float y2, float x, float y) {
/* 338 */       this.x1 = x2;
/* 339 */       this.y1 = y2;
/* 340 */       this.x2 = x2;
/* 341 */       this.y2 = y2;
/* 342 */       this.x = x;
/* 343 */       this.y = y;
/*     */     }
/*     */     
/*     */     public void setValue(float x, float y) {
/* 347 */       this.x = x;
/* 348 */       this.y = y;
/*     */     }
/*     */ 
/*     */     
/* 352 */     public void setPathSegType(short type) { this.type = type; }
/*     */ 
/*     */ 
/*     */     
/* 356 */     public float getX() { return this.x; }
/*     */ 
/*     */     
/* 359 */     public float getY() { return this.y; }
/*     */ 
/*     */ 
/*     */     
/* 363 */     public void setX(float x) { this.x = x; }
/*     */ 
/*     */     
/* 366 */     public void setY(float y) { this.y = y; }
/*     */ 
/*     */ 
/*     */     
/* 370 */     public float getX1() { return this.x1; }
/*     */ 
/*     */     
/* 373 */     public float getY1() { return this.y1; }
/*     */ 
/*     */ 
/*     */     
/* 377 */     public void setX1(float x) { this.x1 = x; }
/*     */ 
/*     */     
/* 380 */     public void setY1(float y) { this.y1 = y; }
/*     */ 
/*     */     
/* 383 */     public float getX2() { return this.x2; }
/*     */ 
/*     */     
/* 386 */     public float getY2() { return this.y2; }
/*     */ 
/*     */ 
/*     */     
/* 390 */     public void setX2(float x) { this.x2 = x; }
/*     */ 
/*     */     
/* 393 */     public void setY2(float y) { this.y2 = y; }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\AbstractSVGNormPathSegList.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */