/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import java.awt.geom.AffineTransform;
/*     */ import org.w3c.dom.svg.SVGMatrix;
/*     */ import org.w3c.dom.svg.SVGTransform;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractSVGTransform
/*     */   implements SVGTransform
/*     */ {
/*  38 */   protected short type = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected AffineTransform affineTransform;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected float angle;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected float x;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected float y;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract SVGMatrix createMatrix();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  75 */   protected void setType(short type) { this.type = type; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  83 */   public float getX() { return this.x; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  91 */   public float getY() { return this.y; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void assign(AbstractSVGTransform t) {
/*  98 */     this.type = t.type;
/*  99 */     this.affineTransform = t.affineTransform;
/* 100 */     this.angle = t.angle;
/* 101 */     this.x = t.x;
/* 102 */     this.y = t.y;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 109 */   public short getType() { return this.type; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 116 */   public SVGMatrix getMatrix() { return createMatrix(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 123 */   public float getAngle() { return this.angle; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setMatrix(SVGMatrix matrix) {
/* 130 */     this.type = 1;
/* 131 */     this.affineTransform = new AffineTransform(matrix.getA(), matrix.getB(), matrix.getC(), matrix.getD(), matrix.getE(), matrix.getF());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTranslate(float tx, float ty) {
/* 140 */     this.type = 2;
/* 141 */     this.affineTransform = AffineTransform.getTranslateInstance(tx, ty);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setScale(float sx, float sy) {
/* 148 */     this.type = 3;
/* 149 */     this.affineTransform = AffineTransform.getScaleInstance(sx, sy);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRotate(float angle, float cx, float cy) {
/* 156 */     this.type = 4;
/* 157 */     this.affineTransform = AffineTransform.getRotateInstance(Math.toRadians(angle), cx, cy);
/*     */     
/* 159 */     this.angle = angle;
/* 160 */     this.x = cx;
/* 161 */     this.y = cy;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSkewX(float angle) {
/* 168 */     this.type = 5;
/* 169 */     this.affineTransform = AffineTransform.getShearInstance(Math.tan(Math.toRadians(angle)), 0.0D);
/*     */ 
/*     */     
/* 172 */     this.angle = angle;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSkewY(float angle) {
/* 179 */     this.type = 6;
/* 180 */     this.affineTransform = AffineTransform.getShearInstance(0.0D, Math.tan(Math.toRadians(angle)));
/*     */ 
/*     */     
/* 183 */     this.angle = angle;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\AbstractSVGTransform.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */