/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.parser.PathHandler;
/*     */ import org.w3c.dom.svg.SVGPathSeg;
/*     */ import org.w3c.dom.svg.SVGPathSegArcAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegArcRel;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoCubicAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoCubicRel;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoCubicSmoothAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoCubicSmoothRel;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoQuadraticAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoQuadraticRel;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoQuadraticSmoothAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegCurvetoQuadraticSmoothRel;
/*     */ import org.w3c.dom.svg.SVGPathSegLinetoAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegLinetoHorizontalAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegLinetoHorizontalRel;
/*     */ import org.w3c.dom.svg.SVGPathSegLinetoRel;
/*     */ import org.w3c.dom.svg.SVGPathSegLinetoVerticalAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegLinetoVerticalRel;
/*     */ import org.w3c.dom.svg.SVGPathSegList;
/*     */ import org.w3c.dom.svg.SVGPathSegMovetoAbs;
/*     */ import org.w3c.dom.svg.SVGPathSegMovetoRel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class SVGAnimatedPathDataSupport
/*     */ {
/*     */   public static void handlePathSegList(SVGPathSegList p, PathHandler h) {
/*  58 */     int n = p.getNumberOfItems();
/*  59 */     h.startPath();
/*  60 */     for (int i = 0; i < n; i++) {
/*  61 */       SVGPathSegLinetoHorizontalRel s; SVGPathSegCurvetoCubicSmoothRel s; SVGPathSegLinetoVerticalAbs s; SVGPathSegCurvetoCubicSmoothAbs s; SVGPathSegCurvetoQuadraticSmoothAbs s; SVGPathSegCurvetoQuadraticSmoothRel s; SVGPathSegCurvetoCubicAbs s; SVGPathSegCurvetoQuadraticAbs s; SVGPathSegLinetoAbs s; SVGPathSegCurvetoQuadraticRel s; SVGPathSegLinetoHorizontalAbs s; SVGPathSegLinetoVerticalRel s; SVGPathSegArcAbs s; SVGPathSegMovetoAbs s; SVGPathSegArcRel s; SVGPathSegLinetoRel s; SVGPathSegCurvetoCubicRel s; SVGPathSegMovetoRel s; SVGPathSeg seg = p.getItem(i);
/*  62 */       switch (seg.getPathSegType()) {
/*     */         case 1:
/*  64 */           h.closePath();
/*     */           break;
/*     */         case 2:
/*  67 */           s = (SVGPathSegMovetoAbs)seg;
/*  68 */           h.movetoAbs(s.getX(), s.getY());
/*     */           break;
/*     */         
/*     */         case 3:
/*  72 */           s = (SVGPathSegMovetoRel)seg;
/*  73 */           h.movetoRel(s.getX(), s.getY());
/*     */           break;
/*     */         
/*     */         case 4:
/*  77 */           s = (SVGPathSegLinetoAbs)seg;
/*  78 */           h.linetoAbs(s.getX(), s.getY());
/*     */           break;
/*     */         
/*     */         case 5:
/*  82 */           s = (SVGPathSegLinetoRel)seg;
/*  83 */           h.linetoRel(s.getX(), s.getY());
/*     */           break;
/*     */         
/*     */         case 6:
/*  87 */           s = (SVGPathSegCurvetoCubicAbs)seg;
/*     */           
/*  89 */           h.curvetoCubicAbs(s.getX1(), s.getY1(), s.getX2(), s.getY2(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */ 
/*     */         
/*     */         case 7:
/*  95 */           s = (SVGPathSegCurvetoCubicRel)seg;
/*     */           
/*  97 */           h.curvetoCubicRel(s.getX1(), s.getY1(), s.getX2(), s.getY2(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */ 
/*     */         
/*     */         case 8:
/* 103 */           s = (SVGPathSegCurvetoQuadraticAbs)seg;
/*     */           
/* 105 */           h.curvetoQuadraticAbs(s.getX1(), s.getY1(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */         
/*     */         case 9:
/* 110 */           s = (SVGPathSegCurvetoQuadraticRel)seg;
/*     */           
/* 112 */           h.curvetoQuadraticRel(s.getX1(), s.getY1(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */         
/*     */         case 10:
/* 117 */           s = (SVGPathSegArcAbs)seg;
/* 118 */           h.arcAbs(s.getR1(), s.getR2(), s.getAngle(), s.getLargeArcFlag(), s.getSweepFlag(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 11:
/* 125 */           s = (SVGPathSegArcRel)seg;
/* 126 */           h.arcRel(s.getR1(), s.getR2(), s.getAngle(), s.getLargeArcFlag(), s.getSweepFlag(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 12:
/* 133 */           s = (SVGPathSegLinetoHorizontalAbs)seg;
/*     */           
/* 135 */           h.linetoHorizontalAbs(s.getX());
/*     */           break;
/*     */         
/*     */         case 13:
/* 139 */           s = (SVGPathSegLinetoHorizontalRel)seg;
/*     */           
/* 141 */           h.linetoHorizontalRel(s.getX());
/*     */           break;
/*     */         
/*     */         case 14:
/* 145 */           s = (SVGPathSegLinetoVerticalAbs)seg;
/*     */           
/* 147 */           h.linetoVerticalAbs(s.getY());
/*     */           break;
/*     */         
/*     */         case 15:
/* 151 */           s = (SVGPathSegLinetoVerticalRel)seg;
/*     */           
/* 153 */           h.linetoVerticalRel(s.getY());
/*     */           break;
/*     */         
/*     */         case 16:
/* 157 */           s = (SVGPathSegCurvetoCubicSmoothAbs)seg;
/*     */           
/* 159 */           h.curvetoCubicSmoothAbs(s.getX2(), s.getY2(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */         
/*     */         case 17:
/* 164 */           s = (SVGPathSegCurvetoCubicSmoothRel)seg;
/*     */           
/* 166 */           h.curvetoCubicSmoothRel(s.getX2(), s.getY2(), s.getX(), s.getY());
/*     */           break;
/*     */ 
/*     */         
/*     */         case 18:
/* 171 */           s = (SVGPathSegCurvetoQuadraticSmoothAbs)seg;
/*     */           
/* 173 */           h.curvetoQuadraticSmoothAbs(s.getX(), s.getY());
/*     */           break;
/*     */         
/*     */         case 19:
/* 177 */           s = (SVGPathSegCurvetoQuadraticSmoothRel)seg;
/*     */           
/* 179 */           h.curvetoQuadraticSmoothRel(s.getX(), s.getY());
/*     */           break;
/*     */       } 
/*     */     
/*     */     } 
/* 184 */     h.endPath();
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGAnimatedPathDataSupport.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */