/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.anim.values.AnimatableBooleanValue;
/*     */ import org.apache.batik.anim.values.AnimatableValue;
/*     */ import org.apache.batik.dom.anim.AnimationTarget;
/*     */ import org.w3c.dom.Attr;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.svg.SVGAnimatedBoolean;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMAnimatedBoolean
/*     */   extends AbstractSVGAnimatedValue
/*     */   implements SVGAnimatedBoolean
/*     */ {
/*     */   protected boolean defaultValue;
/*     */   protected boolean valid;
/*     */   protected boolean baseVal;
/*     */   protected boolean animVal;
/*     */   protected boolean changing;
/*     */   
/*     */   public SVGOMAnimatedBoolean(AbstractElement elt, String ns, String ln, boolean val) {
/*  75 */     super(elt, ns, ln);
/*  76 */     this.defaultValue = val;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getBaseVal() {
/*  83 */     if (!this.valid) {
/*  84 */       update();
/*     */     }
/*  86 */     return this.baseVal;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void update() {
/*  93 */     Attr attr = this.element.getAttributeNodeNS(this.namespaceURI, this.localName);
/*  94 */     if (attr == null) {
/*  95 */       this.baseVal = this.defaultValue;
/*     */     } else {
/*  97 */       this.baseVal = attr.getValue().equals("true");
/*     */     } 
/*  99 */     this.valid = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBaseVal(boolean baseVal) throws DOMException {
/*     */     try {
/* 107 */       this.baseVal = baseVal;
/* 108 */       this.valid = true;
/* 109 */       this.changing = true;
/* 110 */       this.element.setAttributeNS(this.namespaceURI, this.localName, String.valueOf(baseVal));
/*     */     } finally {
/*     */       
/* 113 */       this.changing = false;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getAnimVal() {
/* 121 */     if (this.hasAnimVal) {
/* 122 */       return this.animVal;
/*     */     }
/* 124 */     if (!this.valid) {
/* 125 */       update();
/*     */     }
/* 127 */     return this.baseVal;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setAnimatedValue(boolean animVal) throws DOMException {
/* 134 */     this.hasAnimVal = true;
/* 135 */     this.animVal = animVal;
/* 136 */     fireAnimatedAttributeListeners();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updateAnimatedValue(AnimatableValue val) {
/* 143 */     if (val == null) {
/* 144 */       this.hasAnimVal = false;
/*     */     } else {
/* 146 */       this.hasAnimVal = true;
/* 147 */       this.animVal = ((AnimatableBooleanValue)val).getValue();
/*     */     } 
/* 149 */     fireAnimatedAttributeListeners();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 156 */   public AnimatableValue getUnderlyingValue(AnimationTarget target) { return new AnimatableBooleanValue(target, getBaseVal()); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrAdded(Attr node, String newv) {
/* 163 */     if (!this.changing) {
/* 164 */       this.valid = false;
/*     */     }
/* 166 */     fireBaseAttributeListeners();
/* 167 */     if (!this.hasAnimVal) {
/* 168 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrModified(Attr node, String oldv, String newv) {
/* 176 */     if (!this.changing) {
/* 177 */       this.valid = false;
/*     */     }
/* 179 */     fireBaseAttributeListeners();
/* 180 */     if (!this.hasAnimVal) {
/* 181 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrRemoved(Attr node, String oldv) {
/* 189 */     if (!this.changing) {
/* 190 */       this.valid = false;
/*     */     }
/* 192 */     fireBaseAttributeListeners();
/* 193 */     if (!this.hasAnimVal)
/* 194 */       fireAnimatedAttributeListeners(); 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMAnimatedBoolean.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */