/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.anim.values.AnimatableIntegerValue;
/*     */ import org.apache.batik.anim.values.AnimatableValue;
/*     */ import org.apache.batik.dom.anim.AnimationTarget;
/*     */ import org.w3c.dom.Attr;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.svg.SVGAnimatedInteger;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMAnimatedInteger
/*     */   extends AbstractSVGAnimatedValue
/*     */   implements SVGAnimatedInteger
/*     */ {
/*     */   protected int defaultValue;
/*     */   protected boolean valid;
/*     */   protected int baseVal;
/*     */   protected int animVal;
/*     */   protected boolean changing;
/*     */   
/*     */   public SVGOMAnimatedInteger(AbstractElement elt, String ns, String ln, int val) {
/*  75 */     super(elt, ns, ln);
/*  76 */     this.defaultValue = val;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getBaseVal() {
/*  83 */     if (!this.valid) {
/*  84 */       update();
/*     */     }
/*  86 */     return this.baseVal;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void update() {
/*  93 */     Attr attr = this.element.getAttributeNodeNS(this.namespaceURI, this.localName);
/*  94 */     if (attr == null) {
/*  95 */       this.baseVal = this.defaultValue;
/*     */     } else {
/*  97 */       this.baseVal = Integer.parseInt(attr.getValue());
/*     */     } 
/*  99 */     this.valid = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setBaseVal(int baseVal) throws DOMException {
/*     */     try {
/* 107 */       this.baseVal = baseVal;
/* 108 */       this.valid = true;
/* 109 */       this.changing = true;
/* 110 */       this.element.setAttributeNS(this.namespaceURI, this.localName, String.valueOf(baseVal));
/*     */     } finally {
/*     */       
/* 113 */       this.changing = false;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getAnimVal() {
/* 121 */     if (this.hasAnimVal) {
/* 122 */       return this.animVal;
/*     */     }
/* 124 */     if (!this.valid) {
/* 125 */       update();
/*     */     }
/* 127 */     return this.baseVal;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 134 */   public AnimatableValue getUnderlyingValue(AnimationTarget target) { return new AnimatableIntegerValue(target, getBaseVal()); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updateAnimatedValue(AnimatableValue val) {
/* 141 */     if (val == null) {
/* 142 */       this.hasAnimVal = false;
/*     */     } else {
/* 144 */       this.hasAnimVal = true;
/* 145 */       this.animVal = ((AnimatableIntegerValue)val).getValue();
/*     */     } 
/* 147 */     fireAnimatedAttributeListeners();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrAdded(Attr node, String newv) {
/* 154 */     if (!this.changing) {
/* 155 */       this.valid = false;
/*     */     }
/* 157 */     fireBaseAttributeListeners();
/* 158 */     if (!this.hasAnimVal) {
/* 159 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrModified(Attr node, String oldv, String newv) {
/* 167 */     if (!this.changing) {
/* 168 */       this.valid = false;
/*     */     }
/* 170 */     fireBaseAttributeListeners();
/* 171 */     if (!this.hasAnimVal) {
/* 172 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrRemoved(Attr node, String oldv) {
/* 180 */     if (!this.changing) {
/* 181 */       this.valid = false;
/*     */     }
/* 183 */     fireBaseAttributeListeners();
/* 184 */     if (!this.hasAnimVal)
/* 185 */       fireAnimatedAttributeListeners(); 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMAnimatedInteger.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */