/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.anim.values.AnimatableValue;
/*     */ import org.apache.batik.dom.anim.AnimationTarget;
/*     */ import org.w3c.dom.Attr;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.svg.SVGAngle;
/*     */ import org.w3c.dom.svg.SVGAnimatedAngle;
/*     */ import org.w3c.dom.svg.SVGAnimatedEnumeration;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMAnimatedMarkerOrientValue
/*     */   extends AbstractSVGAnimatedValue
/*     */ {
/*     */   protected boolean valid;
/*  50 */   protected AnimatedAngle animatedAngle = new AnimatedAngle(this);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  55 */   protected AnimatedEnumeration animatedEnumeration = new AnimatedEnumeration(this);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected BaseSVGAngle baseAngleVal;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected short baseEnumerationVal;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected AnimSVGAngle animAngleVal;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected short animEnumerationVal;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean changing;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  92 */   public SVGOMAnimatedMarkerOrientValue(AbstractElement elt, String ns, String ln) { super(elt, ns, ln); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 100 */   protected void updateAnimatedValue(AnimatableValue val) { throw new UnsupportedOperationException("Animation of marker orient value is not implemented"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 109 */   public AnimatableValue getUnderlyingValue(AnimationTarget target) { throw new UnsupportedOperationException("Animation of marker orient value is not implemented"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrAdded(Attr node, String newv) {
/* 117 */     if (!this.changing) {
/* 118 */       this.valid = false;
/*     */     }
/* 120 */     fireBaseAttributeListeners();
/* 121 */     if (!this.hasAnimVal) {
/* 122 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrModified(Attr node, String oldv, String newv) {
/* 130 */     if (!this.changing) {
/* 131 */       this.valid = false;
/*     */     }
/* 133 */     fireBaseAttributeListeners();
/* 134 */     if (!this.hasAnimVal) {
/* 135 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrRemoved(Attr node, String oldv) {
/* 143 */     if (!this.changing) {
/* 144 */       this.valid = false;
/*     */     }
/* 146 */     fireBaseAttributeListeners();
/* 147 */     if (!this.hasAnimVal) {
/* 148 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setAnimatedValueToAngle(short unitType, float value) {
/* 156 */     this.hasAnimVal = true;
/* 157 */     this.animAngleVal.setAnimatedValue(unitType, value);
/* 158 */     this.animEnumerationVal = 2;
/* 159 */     fireAnimatedAttributeListeners();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setAnimatedValueToAuto() {
/* 166 */     this.hasAnimVal = true;
/* 167 */     this.animAngleVal.setAnimatedValue(1, 0.0F);
/* 168 */     this.animEnumerationVal = 1;
/* 169 */     fireAnimatedAttributeListeners();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void resetAnimatedValue() {
/* 176 */     this.hasAnimVal = false;
/* 177 */     fireAnimatedAttributeListeners();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 184 */   public SVGAnimatedAngle getAnimatedAngle() { return this.animatedAngle; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 191 */   public SVGAnimatedEnumeration getAnimatedEnumeration() { return this.animatedEnumeration; }
/*     */   
/*     */   protected class BaseSVGAngle
/*     */     extends SVGOMAngle
/*     */   {
/*     */     private final SVGOMAnimatedMarkerOrientValue this$0;
/*     */     
/* 198 */     protected BaseSVGAngle(SVGOMAnimatedMarkerOrientValue this$0) { this.this$0 = this$0; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 204 */     public void invalidate() { this.this$0.valid = false; }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected void reset() {
/*     */       try {
/*     */         String str;
/* 212 */         this.this$0.changing = true;
/* 213 */         this.this$0.valid = true;
/*     */         
/* 215 */         if (this.this$0.baseEnumerationVal == 2) {
/*     */           
/* 217 */           str = getValueAsString();
/* 218 */         } else if (this.this$0.baseEnumerationVal == 1) {
/*     */           
/* 220 */           str = "auto";
/*     */         } else {
/*     */           return;
/*     */         } 
/* 224 */         this.this$0.element.setAttributeNS(this.this$0.namespaceURI, this.this$0.localName, str);
/*     */       } finally {
/* 226 */         this.this$0.changing = false;
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected void revalidate() {
/* 234 */       if (!this.this$0.valid) {
/* 235 */         Attr attr = this.this$0.element.getAttributeNodeNS(this.this$0.namespaceURI, this.this$0.localName);
/* 236 */         if (attr == null) {
/* 237 */           this.unitType = 1;
/* 238 */           this.value = 0.0F;
/*     */         } else {
/* 240 */           parse(attr.getValue());
/*     */         } 
/* 242 */         this.this$0.valid = true;
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected void parse(String s) throws DOMException {
/* 251 */       if (s.equals("auto")) {
/* 252 */         this.unitType = 1;
/* 253 */         this.value = 0.0F;
/* 254 */         this.this$0.baseEnumerationVal = 1;
/*     */       } else {
/* 256 */         super.parse(s);
/* 257 */         if (this.unitType == 0) {
/* 258 */           this.this$0.baseEnumerationVal = 0;
/*     */         } else {
/* 260 */           this.this$0.baseEnumerationVal = 2;
/*     */         } 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   protected class AnimSVGAngle extends SVGOMAngle {
/*     */     private final SVGOMAnimatedMarkerOrientValue this$0;
/*     */     
/* 269 */     protected AnimSVGAngle(SVGOMAnimatedMarkerOrientValue this$0) { this.this$0 = this$0; }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public short getUnitType() {
/* 275 */       if (this.this$0.hasAnimVal) {
/* 276 */         return super.getUnitType();
/*     */       }
/* 278 */       return this.this$0.animatedAngle.getBaseVal().getUnitType();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public float getValue() {
/* 285 */       if (this.this$0.hasAnimVal) {
/* 286 */         return super.getValue();
/*     */       }
/* 288 */       return this.this$0.animatedAngle.getBaseVal().getValue();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public float getValueInSpecifiedUnits() {
/* 295 */       if (this.this$0.hasAnimVal) {
/* 296 */         return super.getValueInSpecifiedUnits();
/*     */       }
/* 298 */       return this.this$0.animatedAngle.getBaseVal().getValueInSpecifiedUnits();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public String getValueAsString() {
/* 305 */       if (this.this$0.hasAnimVal) {
/* 306 */         return super.getValueAsString();
/*     */       }
/* 308 */       return this.this$0.animatedAngle.getBaseVal().getValueAsString();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 315 */     public void setValue(float value) throws DOMException { throw this.this$0.element.createDOMException((short)7, "readonly.angle", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 325 */     public void setValueInSpecifiedUnits(float value) throws DOMException { throw this.this$0.element.createDOMException((short)7, "readonly.angle", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 334 */     public void setValueAsString(String value) throws DOMException { throw this.this$0.element.createDOMException((short)7, "readonly.angle", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 344 */     public void newValueSpecifiedUnits(short unit, float value) { throw this.this$0.element.createDOMException((short)7, "readonly.angle", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 354 */     public void convertToSpecifiedUnits(short unit) throws DOMException { throw this.this$0.element.createDOMException((short)7, "readonly.angle", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 363 */     protected void setAnimatedValue(int type, float val) { super.newValueSpecifiedUnits((short)type, val); }
/*     */   }
/*     */   
/*     */   protected class AnimatedAngle
/*     */     implements SVGAnimatedAngle {
/*     */     private final SVGOMAnimatedMarkerOrientValue this$0;
/*     */     
/* 370 */     protected AnimatedAngle(SVGOMAnimatedMarkerOrientValue this$0) { this.this$0 = this$0; }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public SVGAngle getBaseVal() {
/* 376 */       if (this.this$0.baseAngleVal == null) {
/* 377 */         this.this$0.baseAngleVal = new SVGOMAnimatedMarkerOrientValue.BaseSVGAngle(this.this$0);
/*     */       }
/* 379 */       return this.this$0.baseAngleVal;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public SVGAngle getAnimVal() {
/* 386 */       if (this.this$0.animAngleVal == null) {
/* 387 */         this.this$0.animAngleVal = new SVGOMAnimatedMarkerOrientValue.AnimSVGAngle(this.this$0);
/*     */       }
/* 389 */       return this.this$0.animAngleVal;
/*     */     }
/*     */   }
/*     */   
/*     */   protected class AnimatedEnumeration implements SVGAnimatedEnumeration {
/*     */     private final SVGOMAnimatedMarkerOrientValue this$0;
/*     */     
/* 396 */     protected AnimatedEnumeration(SVGOMAnimatedMarkerOrientValue this$0) { this.this$0 = this$0; }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public short getBaseVal() {
/* 402 */       if (this.this$0.baseAngleVal == null) {
/* 403 */         this.this$0.baseAngleVal = new SVGOMAnimatedMarkerOrientValue.BaseSVGAngle(this.this$0);
/*     */       }
/* 405 */       this.this$0.baseAngleVal.revalidate();
/* 406 */       return this.this$0.baseEnumerationVal;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setBaseVal(short baseVal) throws DOMException {
/* 414 */       if (baseVal == 1) {
/* 415 */         this.this$0.baseEnumerationVal = baseVal;
/* 416 */         if (this.this$0.baseAngleVal == null) {
/* 417 */           this.this$0.baseAngleVal = new SVGOMAnimatedMarkerOrientValue.BaseSVGAngle(this.this$0);
/*     */         }
/* 419 */         this.this$0.baseAngleVal.unitType = 1;
/* 420 */         this.this$0.baseAngleVal.value = 0.0F;
/* 421 */         this.this$0.baseAngleVal.reset();
/* 422 */       } else if (baseVal == 2) {
/* 423 */         this.this$0.baseEnumerationVal = baseVal;
/* 424 */         if (this.this$0.baseAngleVal == null) {
/* 425 */           this.this$0.baseAngleVal = new SVGOMAnimatedMarkerOrientValue.BaseSVGAngle(this.this$0);
/*     */         }
/* 427 */         this.this$0.baseAngleVal.reset();
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public short getAnimVal() {
/* 435 */       if (this.this$0.hasAnimVal) {
/* 436 */         return this.this$0.animEnumerationVal;
/*     */       }
/* 438 */       if (this.this$0.baseAngleVal == null) {
/* 439 */         this.this$0.baseAngleVal = new SVGOMAnimatedMarkerOrientValue.BaseSVGAngle(this.this$0);
/*     */       }
/* 441 */       this.this$0.baseAngleVal.revalidate();
/* 442 */       return this.this$0.baseEnumerationVal;
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMAnimatedMarkerOrientValue.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */