/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.svg.SVGAnimatedBoolean;
/*     */ import org.w3c.dom.svg.SVGAnimationElement;
/*     */ import org.w3c.dom.svg.SVGElement;
/*     */ import org.w3c.dom.svg.SVGStringList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class SVGOMAnimationElement
/*     */   extends SVGOMElement
/*     */   implements SVGAnimationElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedBoolean externalResourcesRequired;
/*     */   
/*     */   static  {
/*  47 */     t = new DoublyIndexedTable(SVGOMElement.xmlTraitInformation);
/*     */     
/*  49 */     t.put(null, "externalResourcesRequired", new TraitInformation(true, 49));
/*     */     
/*  51 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMAnimationElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMAnimationElement(String prefix, AbstractDocument owner) {
/*  71 */     super(prefix, owner);
/*  72 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/*  79 */     super.initializeAllLiveAttributes();
/*  80 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  87 */   private void initializeLiveAttributes() { this.externalResourcesRequired = createLiveAnimatedBoolean(null, "externalResourcesRequired", false); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   public SVGElement getTargetElement() { return ((SVGAnimationContext)getSVGContext()).getTargetElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public float getStartTime() { return ((SVGAnimationContext)getSVGContext()).getStartTime(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 110 */   public float getCurrentTime() { return ((SVGAnimationContext)getSVGContext()).getCurrentTime(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float getSimpleDuration() {
/* 117 */     float dur = ((SVGAnimationContext)getSVGContext()).getSimpleDuration();
/* 118 */     if (dur == Float.POSITIVE_INFINITY) {
/* 119 */       throw createDOMException((short)9, "animation.dur.indefinite", null);
/*     */     }
/*     */ 
/*     */     
/* 123 */     return dur;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 132 */   public float getHyperlinkBeginTime() { return ((SVGAnimationContext)getSVGContext()).getHyperlinkBeginTime(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 142 */   public boolean beginElement() throws DOMException { return ((SVGAnimationContext)getSVGContext()).beginElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 150 */   public boolean beginElementAt(float offset) throws DOMException { return ((SVGAnimationContext)getSVGContext()).beginElementAt(offset); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   public boolean endElement() throws DOMException { return ((SVGAnimationContext)getSVGContext()).endElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 166 */   public boolean endElementAt(float offset) throws DOMException { return ((SVGAnimationContext)getSVGContext()).endElementAt(offset); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 176 */   public SVGAnimatedBoolean getExternalResourcesRequired() { return this.externalResourcesRequired; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 186 */   public SVGStringList getRequiredFeatures() { return SVGTestsSupport.getRequiredFeatures(this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 194 */   public SVGStringList getRequiredExtensions() { return SVGTestsSupport.getRequiredExtensions(this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 202 */   public SVGStringList getSystemLanguage() { return SVGTestsSupport.getSystemLanguage(this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 210 */   public boolean hasExtension(String extension) { return SVGTestsSupport.hasExtension(this, extension); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 217 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMAnimationElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */