/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.svg.SVGAnimatedLength;
/*     */ import org.w3c.dom.svg.SVGEllipseElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMEllipseElement
/*     */   extends SVGGraphicsElement
/*     */   implements SVGEllipseElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedLength cx;
/*     */   protected SVGOMAnimatedLength cy;
/*     */   protected SVGOMAnimatedLength rx;
/*     */   protected SVGOMAnimatedLength ry;
/*     */   
/*     */   static  {
/*  44 */     t = new DoublyIndexedTable(SVGGraphicsElement.xmlTraitInformation);
/*     */     
/*  46 */     t.put(null, "cx", new TraitInformation(true, 3, (short)1));
/*     */     
/*  48 */     t.put(null, "cy", new TraitInformation(true, 3, (short)2));
/*     */     
/*  50 */     t.put(null, "rx", new TraitInformation(true, 3, (short)1));
/*     */     
/*  52 */     t.put(null, "ry", new TraitInformation(true, 3, (short)2));
/*     */     
/*  54 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMEllipseElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SVGOMEllipseElement(String prefix, AbstractDocument owner) {
/*  89 */     super(prefix, owner);
/*  90 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/*  97 */     super.initializeAllLiveAttributes();
/*  98 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 105 */     this.cx = createLiveAnimatedLength(null, "cx", "0", (short)2, false);
/*     */ 
/*     */     
/* 108 */     this.cy = createLiveAnimatedLength(null, "cy", "0", (short)1, false);
/*     */ 
/*     */     
/* 111 */     this.rx = createLiveAnimatedLength(null, "rx", null, (short)2, true);
/*     */ 
/*     */     
/* 114 */     this.ry = createLiveAnimatedLength(null, "ry", null, (short)1, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 123 */   public String getLocalName() { return "ellipse"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 130 */   public SVGAnimatedLength getCx() { return this.cx; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 137 */   public SVGAnimatedLength getCy() { return this.cy; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 144 */   public SVGAnimatedLength getRx() { return this.rx; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   public SVGAnimatedLength getRy() { return this.ry; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   protected Node newNode() { return new SVGOMEllipseElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 165 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMEllipseElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */