/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.svg.SVGAnimatedEnumeration;
/*     */ import org.w3c.dom.svg.SVGAnimatedNumber;
/*     */ import org.w3c.dom.svg.SVGAnimatedString;
/*     */ import org.w3c.dom.svg.SVGFEDisplacementMapElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMFEDisplacementMapElement
/*     */   extends SVGOMFilterPrimitiveStandardAttributes
/*     */   implements SVGFEDisplacementMapElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected static final String[] CHANNEL_SELECTOR_VALUES;
/*     */   protected SVGOMAnimatedString in;
/*     */   protected SVGOMAnimatedString in2;
/*     */   protected SVGOMAnimatedNumber scale;
/*     */   protected SVGOMAnimatedEnumeration xChannelSelector;
/*     */   protected SVGOMAnimatedEnumeration yChannelSelector;
/*     */   
/*     */   static  {
/*  46 */     t = new DoublyIndexedTable(SVGOMFilterPrimitiveStandardAttributes.xmlTraitInformation);
/*     */     
/*  48 */     t.put(null, "in", new TraitInformation(true, 16));
/*     */     
/*  50 */     t.put(null, "in2", new TraitInformation(true, 16));
/*     */     
/*  52 */     t.put(null, "scale", new TraitInformation(true, 2));
/*     */     
/*  54 */     t.put(null, "xChannelSelector", new TraitInformation(true, 15));
/*     */     
/*  56 */     t.put(null, "yChannelSelector", new TraitInformation(true, 15));
/*     */     
/*  58 */     xmlTraitInformation = t;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  64 */     CHANNEL_SELECTOR_VALUES = new String[] { "", "R", "G", "B", "A" };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMFEDisplacementMapElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SVGOMFEDisplacementMapElement(String prefix, AbstractDocument owner) {
/* 110 */     super(prefix, owner);
/* 111 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/* 118 */     super.initializeAllLiveAttributes();
/* 119 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 126 */     this.in = createLiveAnimatedString(null, "in");
/* 127 */     this.in2 = createLiveAnimatedString(null, "in2");
/* 128 */     this.scale = createLiveAnimatedNumber(null, "scale", 0.0F);
/* 129 */     this.xChannelSelector = createLiveAnimatedEnumeration(null, "xChannelSelector", CHANNEL_SELECTOR_VALUES, (short)4);
/*     */ 
/*     */ 
/*     */     
/* 133 */     this.yChannelSelector = createLiveAnimatedEnumeration(null, "yChannelSelector", CHANNEL_SELECTOR_VALUES, (short)4);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 143 */   public String getLocalName() { return "feDisplacementMap"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   public SVGAnimatedString getIn1() { return this.in; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 159 */   public SVGAnimatedString getIn2() { return this.in2; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 167 */   public SVGAnimatedNumber getScale() { return this.scale; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 175 */   public SVGAnimatedEnumeration getXChannelSelector() { return this.xChannelSelector; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 183 */   public SVGAnimatedEnumeration getYChannelSelector() { return this.yChannelSelector; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 190 */   protected Node newNode() { return new SVGOMFEDisplacementMapElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 197 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMFEDisplacementMapElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */