/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.svg.SVGAnimatedNumber;
/*     */ import org.w3c.dom.svg.SVGAnimatedString;
/*     */ import org.w3c.dom.svg.SVGFESpecularLightingElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMFESpecularLightingElement
/*     */   extends SVGOMFilterPrimitiveStandardAttributes
/*     */   implements SVGFESpecularLightingElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedString in;
/*     */   protected SVGOMAnimatedNumber surfaceScale;
/*     */   protected SVGOMAnimatedNumber specularConstant;
/*     */   protected SVGOMAnimatedNumber specularExponent;
/*     */   
/*     */   static  {
/*  45 */     t = new DoublyIndexedTable(SVGOMFilterPrimitiveStandardAttributes.xmlTraitInformation);
/*     */     
/*  47 */     t.put(null, "in", new TraitInformation(true, 16));
/*     */     
/*  49 */     t.put(null, "surfaceScale", new TraitInformation(true, 2));
/*     */     
/*  51 */     t.put(null, "specularConstant", new TraitInformation(true, 2));
/*     */     
/*  53 */     t.put(null, "specularExponent", new TraitInformation(true, 2));
/*     */     
/*  55 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMFESpecularLightingElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SVGOMFESpecularLightingElement(String prefix, AbstractDocument owner) {
/*  91 */     super(prefix, owner);
/*  92 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/*  99 */     super.initializeAllLiveAttributes();
/* 100 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 107 */     this.in = createLiveAnimatedString(null, "in");
/* 108 */     this.surfaceScale = createLiveAnimatedNumber(null, "surfaceScale", 1.0F);
/*     */     
/* 110 */     this.specularConstant = createLiveAnimatedNumber(null, "specularConstant", 1.0F);
/*     */     
/* 112 */     this.specularExponent = createLiveAnimatedNumber(null, "specularExponent", 1.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 120 */   public String getLocalName() { return "feSpecularLighting"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 127 */   public SVGAnimatedString getIn1() { return this.in; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 135 */   public SVGAnimatedNumber getSurfaceScale() { return this.surfaceScale; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 143 */   public SVGAnimatedNumber getSpecularConstant() { return this.specularConstant; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   public SVGAnimatedNumber getSpecularExponent() { return this.specularExponent; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   protected Node newNode() { return new SVGOMFESpecularLightingElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 165 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMFESpecularLightingElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */