/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.svg.SVGAnimatedNumber;
/*     */ import org.w3c.dom.svg.SVGFESpotLightElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMFESpotLightElement
/*     */   extends SVGOMElement
/*     */   implements SVGFESpotLightElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedNumber x;
/*     */   protected SVGOMAnimatedNumber y;
/*     */   protected SVGOMAnimatedNumber z;
/*     */   protected SVGOMAnimatedNumber pointsAtX;
/*     */   protected SVGOMAnimatedNumber pointsAtY;
/*     */   protected SVGOMAnimatedNumber pointsAtZ;
/*     */   protected SVGOMAnimatedNumber specularExponent;
/*     */   protected SVGOMAnimatedNumber limitingConeAngle;
/*     */   
/*     */   static  {
/*  44 */     t = new DoublyIndexedTable(SVGOMElement.xmlTraitInformation);
/*     */     
/*  46 */     t.put(null, "x", new TraitInformation(true, 2));
/*     */     
/*  48 */     t.put(null, "y", new TraitInformation(true, 2));
/*     */     
/*  50 */     t.put(null, "z", new TraitInformation(true, 2));
/*     */     
/*  52 */     t.put(null, "pointsAtX", new TraitInformation(true, 2));
/*     */     
/*  54 */     t.put(null, "pointsAtY", new TraitInformation(true, 2));
/*     */     
/*  56 */     t.put(null, "pointsAtZ", new TraitInformation(true, 2));
/*     */     
/*  58 */     t.put(null, "specularExponent", new TraitInformation(true, 2));
/*     */     
/*  60 */     t.put(null, "limitingConeAngle", new TraitInformation(true, 2));
/*     */     
/*  62 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMFESpotLightElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SVGOMFESpotLightElement(String prefix, AbstractDocument owner) {
/* 118 */     super(prefix, owner);
/* 119 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/* 126 */     super.initializeAllLiveAttributes();
/* 127 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 134 */     this.x = createLiveAnimatedNumber(null, "x", 0.0F);
/* 135 */     this.y = createLiveAnimatedNumber(null, "y", 0.0F);
/* 136 */     this.z = createLiveAnimatedNumber(null, "z", 0.0F);
/* 137 */     this.pointsAtX = createLiveAnimatedNumber(null, "pointsAtX", 0.0F);
/*     */     
/* 139 */     this.pointsAtY = createLiveAnimatedNumber(null, "pointsAtY", 0.0F);
/*     */     
/* 141 */     this.pointsAtZ = createLiveAnimatedNumber(null, "pointsAtZ", 0.0F);
/*     */     
/* 143 */     this.specularExponent = createLiveAnimatedNumber(null, "specularExponent", 1.0F);
/*     */     
/* 145 */     this.limitingConeAngle = createLiveAnimatedNumber(null, "limitingConeAngle", 0.0F);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 154 */   public String getLocalName() { return "feSpotLight"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 161 */   public SVGAnimatedNumber getX() { return this.x; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 168 */   public SVGAnimatedNumber getY() { return this.y; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 175 */   public SVGAnimatedNumber getZ() { return this.z; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 182 */   public SVGAnimatedNumber getPointsAtX() { return this.pointsAtX; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 189 */   public SVGAnimatedNumber getPointsAtY() { return this.pointsAtY; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 196 */   public SVGAnimatedNumber getPointsAtZ() { return this.pointsAtZ; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 204 */   public SVGAnimatedNumber getSpecularExponent() { return this.specularExponent; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 212 */   public SVGAnimatedNumber getLimitingConeAngle() { return this.limitingConeAngle; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 219 */   protected Node newNode() { return new SVGOMFESpotLightElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 226 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMFESpotLightElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */