/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.svg.SVGAnimatedLength;
/*     */ import org.w3c.dom.svg.SVGAnimatedString;
/*     */ import org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class SVGOMFilterPrimitiveStandardAttributes
/*     */   extends SVGStylableElement
/*     */   implements SVGFilterPrimitiveStandardAttributes
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedLength x;
/*     */   protected SVGOMAnimatedLength y;
/*     */   protected SVGOMAnimatedLength width;
/*     */   protected SVGOMAnimatedLength height;
/*     */   protected SVGOMAnimatedString result;
/*     */   
/*     */   static  {
/*  45 */     t = new DoublyIndexedTable(SVGStylableElement.xmlTraitInformation);
/*     */     
/*  47 */     t.put(null, "x", new TraitInformation(true, 3, (short)1));
/*     */     
/*  49 */     t.put(null, "y", new TraitInformation(true, 3, (short)2));
/*     */     
/*  51 */     t.put(null, "width", new TraitInformation(true, 3, (short)1));
/*     */     
/*  53 */     t.put(null, "height", new TraitInformation(true, 3, (short)2));
/*     */     
/*  55 */     t.put(null, "result", new TraitInformation(true, 16));
/*     */     
/*  57 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMFilterPrimitiveStandardAttributes() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMFilterPrimitiveStandardAttributes(String prefix, AbstractDocument owner) {
/*  98 */     super(prefix, owner);
/*  99 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/* 106 */     super.initializeAllLiveAttributes();
/* 107 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 114 */     this.x = createLiveAnimatedLength(null, "x", "0%", (short)2, false);
/*     */ 
/*     */     
/* 117 */     this.y = createLiveAnimatedLength(null, "y", "0%", (short)1, false);
/*     */ 
/*     */     
/* 120 */     this.width = createLiveAnimatedLength(null, "width", "100%", (short)2, true);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 125 */     this.height = createLiveAnimatedLength(null, "height", "100%", (short)1, true);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 130 */     this.result = createLiveAnimatedString(null, "result");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 138 */   public SVGAnimatedLength getX() { return this.x; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 146 */   public SVGAnimatedLength getY() { return this.y; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 154 */   public SVGAnimatedLength getWidth() { return this.width; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 162 */   public SVGAnimatedLength getHeight() { return this.height; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 170 */   public SVGAnimatedString getResult() { return this.result; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 177 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMFilterPrimitiveStandardAttributes.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */