/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.svg.SVGAnimatedLength;
/*     */ import org.w3c.dom.svg.SVGLinearGradientElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMLinearGradientElement
/*     */   extends SVGOMGradientElement
/*     */   implements SVGLinearGradientElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedLength x1;
/*     */   protected SVGOMAnimatedLength y1;
/*     */   protected SVGOMAnimatedLength x2;
/*     */   protected SVGOMAnimatedLength y2;
/*     */   
/*     */   static  {
/*  44 */     t = new DoublyIndexedTable(SVGOMGradientElement.xmlTraitInformation);
/*     */     
/*  46 */     t.put(null, "x", new TraitInformation(true, 3, (short)1));
/*     */     
/*  48 */     t.put(null, "y", new TraitInformation(true, 3, (short)2));
/*     */     
/*  50 */     t.put(null, "width", new TraitInformation(true, 3, (short)1));
/*     */     
/*  52 */     t.put(null, "height", new TraitInformation(true, 3, (short)2));
/*     */     
/*  54 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMLinearGradientElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SVGOMLinearGradientElement(String prefix, AbstractDocument owner) {
/*  89 */     super(prefix, owner);
/*  90 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/*  97 */     super.initializeAllLiveAttributes();
/*  98 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 105 */     this.x1 = createLiveAnimatedLength(null, "x1", "0%", (short)2, false);
/*     */ 
/*     */     
/* 108 */     this.y1 = createLiveAnimatedLength(null, "y1", "0%", (short)1, false);
/*     */ 
/*     */     
/* 111 */     this.x2 = createLiveAnimatedLength(null, "x2", "100%", (short)2, false);
/*     */ 
/*     */     
/* 114 */     this.y2 = createLiveAnimatedLength(null, "y2", "0%", (short)1, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 123 */   public String getLocalName() { return "linearGradient"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 130 */   public SVGAnimatedLength getX1() { return this.x1; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 137 */   public SVGAnimatedLength getY1() { return this.y1; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 144 */   public SVGAnimatedLength getX2() { return this.x2; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   public SVGAnimatedLength getY2() { return this.y2; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   protected Node newNode() { return new SVGOMLinearGradientElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 165 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMLinearGradientElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */