/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.svg.SVGAnimatedEnumeration;
/*     */ import org.w3c.dom.svg.SVGAnimatedLength;
/*     */ import org.w3c.dom.svg.SVGMaskElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMMaskElement
/*     */   extends SVGGraphicsElement
/*     */   implements SVGMaskElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected static final String[] UNITS_VALUES;
/*     */   protected SVGOMAnimatedLength x;
/*     */   protected SVGOMAnimatedLength y;
/*     */   protected SVGOMAnimatedLength width;
/*     */   protected SVGOMAnimatedLength height;
/*     */   protected SVGOMAnimatedEnumeration maskUnits;
/*     */   protected SVGOMAnimatedEnumeration maskContentUnits;
/*     */   
/*     */   static  {
/*  45 */     t = new DoublyIndexedTable(SVGGraphicsElement.xmlTraitInformation);
/*     */     
/*  47 */     t.put(null, "x", new TraitInformation(true, 3, (short)1));
/*     */     
/*  49 */     t.put(null, "y", new TraitInformation(true, 3, (short)2));
/*     */     
/*  51 */     t.put(null, "width", new TraitInformation(true, 3, (short)1));
/*     */     
/*  53 */     t.put(null, "height", new TraitInformation(true, 3, (short)2));
/*     */     
/*  55 */     t.put(null, "maskUnits", new TraitInformation(true, 15));
/*     */     
/*  57 */     t.put(null, "maskContentUnits", new TraitInformation(true, 15));
/*     */     
/*  59 */     xmlTraitInformation = t;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  65 */     UNITS_VALUES = new String[] { "", "userSpaceOnUse", "objectBoundingBox" };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMMaskElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SVGOMMaskElement(String prefix, AbstractDocument owner) {
/* 113 */     super(prefix, owner);
/* 114 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/* 121 */     super.initializeAllLiveAttributes();
/* 122 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 129 */     this.x = createLiveAnimatedLength(null, "x", "-10%", (short)2, false);
/*     */ 
/*     */     
/* 132 */     this.y = createLiveAnimatedLength(null, "y", "-10%", (short)1, false);
/*     */ 
/*     */     
/* 135 */     this.width = createLiveAnimatedLength(null, "width", "120%", (short)2, true);
/*     */ 
/*     */ 
/*     */     
/* 139 */     this.height = createLiveAnimatedLength(null, "height", "120%", (short)1, true);
/*     */ 
/*     */ 
/*     */     
/* 143 */     this.maskUnits = createLiveAnimatedEnumeration(null, "maskUnits", UNITS_VALUES, (short)2);
/*     */ 
/*     */     
/* 146 */     this.maskContentUnits = createLiveAnimatedEnumeration(null, "maskContentUnits", UNITS_VALUES, (short)1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 156 */   public String getLocalName() { return "mask"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 163 */   public SVGAnimatedEnumeration getMaskUnits() { return this.maskUnits; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 170 */   public SVGAnimatedEnumeration getMaskContentUnits() { return this.maskContentUnits; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 177 */   public SVGAnimatedLength getX() { return this.x; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 184 */   public SVGAnimatedLength getY() { return this.y; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 191 */   public SVGAnimatedLength getWidth() { return this.width; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 198 */   public SVGAnimatedLength getHeight() { return this.height; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 205 */   protected Node newNode() { return new SVGOMMaskElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 212 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMMaskElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */