/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.Attr;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.svg.SVGAnimatedLength;
/*     */ import org.w3c.dom.svg.SVGRadialGradientElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMRadialGradientElement
/*     */   extends SVGOMGradientElement
/*     */   implements SVGRadialGradientElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedLength cx;
/*     */   protected SVGOMAnimatedLength cy;
/*     */   protected AbstractSVGAnimatedLength fx;
/*     */   protected AbstractSVGAnimatedLength fy;
/*     */   protected SVGOMAnimatedLength r;
/*     */   
/*     */   static  {
/*  45 */     t = new DoublyIndexedTable(SVGOMGradientElement.xmlTraitInformation);
/*     */     
/*  47 */     t.put(null, "cx", new TraitInformation(true, 3, (short)1));
/*     */     
/*  49 */     t.put(null, "cy", new TraitInformation(true, 3, (short)2));
/*     */     
/*  51 */     t.put(null, "fx", new TraitInformation(true, 3, (short)1));
/*     */     
/*  53 */     t.put(null, "fy", new TraitInformation(true, 3, (short)2));
/*     */     
/*  55 */     t.put(null, "r", new TraitInformation(true, 3, (short)3));
/*     */     
/*  57 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMRadialGradientElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SVGOMRadialGradientElement(String prefix, AbstractDocument owner) {
/*  97 */     super(prefix, owner);
/*  98 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/* 105 */     super.initializeAllLiveAttributes();
/* 106 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 113 */     this.cx = createLiveAnimatedLength(null, "cx", "50%", (short)2, false);
/*     */ 
/*     */     
/* 116 */     this.cy = createLiveAnimatedLength(null, "cy", "50%", (short)1, false);
/*     */ 
/*     */     
/* 119 */     this.r = createLiveAnimatedLength(null, "r", "50%", (short)0, false);
/*     */ 
/*     */     
/* 122 */     this.fx = new AbstractSVGAnimatedLength(this, this, null, "fx", (short)2, false) {
/*     */         private final SVGOMRadialGradientElement this$0;
/*     */         
/*     */         protected String getDefaultValue() {
/* 126 */           Attr attr = this.this$0.getAttributeNodeNS(null, "cx");
/* 127 */           if (attr == null) {
/* 128 */             return "50%";
/*     */           }
/* 130 */           return attr.getValue();
/*     */         }
/*     */       };
/* 133 */     this.fy = new AbstractSVGAnimatedLength(this, this, null, "fy", (short)1, false) {
/*     */         private final SVGOMRadialGradientElement this$0;
/*     */         
/*     */         protected String getDefaultValue() {
/* 137 */           Attr attr = this.this$0.getAttributeNodeNS(null, "cy");
/* 138 */           if (attr == null) {
/* 139 */             return "50%";
/*     */           }
/* 141 */           return attr.getValue();
/*     */         }
/*     */       };
/*     */     
/* 145 */     this.liveAttributeValues.put(null, "fx", this.fx);
/* 146 */     this.liveAttributeValues.put(null, "fy", this.fy);
/* 147 */     AnimatedAttributeListener l = ((SVGOMDocument)this.ownerDocument).getAnimatedAttributeListener();
/*     */     
/* 149 */     this.fx.addAnimatedAttributeListener(l);
/* 150 */     this.fy.addAnimatedAttributeListener(l);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 157 */   public String getLocalName() { return "radialGradient"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 165 */   public SVGAnimatedLength getCx() { return this.cx; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 173 */   public SVGAnimatedLength getCy() { return this.cy; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 181 */   public SVGAnimatedLength getR() { return this.r; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 189 */   public SVGAnimatedLength getFx() { return this.fx; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 197 */   public SVGAnimatedLength getFy() { return this.fy; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 204 */   protected Node newNode() { return new SVGOMRadialGradientElement(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 211 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMRadialGradientElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */