/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.CSSStyleSheetNode;
/*     */ import org.apache.batik.css.engine.StyleSheet;
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.dom.util.XMLSupport;
/*     */ import org.apache.batik.util.ParsedURL;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.events.Event;
/*     */ import org.w3c.dom.events.EventListener;
/*     */ import org.w3c.dom.stylesheets.LinkStyle;
/*     */ import org.w3c.dom.stylesheets.StyleSheet;
/*     */ import org.w3c.dom.svg.SVGStyleElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMStyleElement
/*     */   extends SVGOMElement
/*     */   implements CSSStyleSheetNode, SVGStyleElement, LinkStyle
/*     */ {
/*  70 */   protected static final AttributeInitializer attributeInitializer = new AttributeInitializer(1); static  {
/*  71 */     attributeInitializer.addAttribute("http://www.w3.org/XML/1998/namespace", "xml", "space", "preserve");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected StyleSheet sheet;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected StyleSheet styleSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  88 */   protected EventListener domCharacterDataModifiedListener = new DOMCharacterDataModifiedListener(this);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public SVGOMStyleElement(String prefix, AbstractDocument owner) { super(prefix, owner); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 110 */   public String getLocalName() { return "style"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StyleSheet getCSSStyleSheet() {
/* 117 */     if (this.styleSheet == null && 
/* 118 */       getType().equals("text/css")) {
/* 119 */       SVGOMDocument doc = (SVGOMDocument)getOwnerDocument();
/* 120 */       CSSEngine e = doc.getCSSEngine();
/* 121 */       String text = "";
/* 122 */       Node n = getFirstChild();
/* 123 */       if (n != null) {
/* 124 */         StringBuffer sb = new StringBuffer();
/* 125 */         while (n != null) {
/* 126 */           if (n.getNodeType() == 4 || n.getNodeType() == 3)
/*     */           {
/* 128 */             sb.append(n.getNodeValue()); } 
/* 129 */           n = n.getNextSibling();
/*     */         } 
/* 131 */         text = sb.toString();
/*     */       } 
/* 133 */       ParsedURL burl = null;
/* 134 */       String bu = getBaseURI();
/* 135 */       if (bu != null) {
/* 136 */         burl = new ParsedURL(bu);
/*     */       }
/* 138 */       String media = getAttributeNS(null, "media");
/* 139 */       this.styleSheet = e.parseStyleSheet(text, burl, media);
/* 140 */       addEventListenerNS("http://www.w3.org/2001/xml-events", "DOMCharacterDataModified", this.domCharacterDataModifiedListener, false, null);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 147 */     return this.styleSheet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 155 */   public StyleSheet getSheet() { throw new UnsupportedOperationException("LinkStyle.getSheet() is not implemented"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 163 */   public String getXMLspace() { return XMLSupport.getXMLSpace(this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 170 */   public void setXMLspace(String space) throws DOMException { setAttributeNS("http://www.w3.org/XML/1998/namespace", "xml:space", space); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 177 */   public String getType() { return getAttributeNS(null, "type"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 184 */   public void setType(String type) throws DOMException { setAttributeNS(null, "type", type); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 191 */   public String getMedia() { return getAttribute("media"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 198 */   public void setMedia(String media) throws DOMException { setAttribute("media", media); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 205 */   public String getTitle() { return getAttribute("title"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 212 */   public void setTitle(String title) throws DOMException { setAttribute("title", title); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 220 */   protected AttributeInitializer getAttributeInitializer() { return attributeInitializer; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 227 */   protected Node newNode() { return new SVGOMStyleElement(); }
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMStyleElement() {}
/*     */ 
/*     */   
/*     */   protected class DOMCharacterDataModifiedListener
/*     */     implements EventListener
/*     */   {
/*     */     private final SVGOMStyleElement this$0;
/*     */ 
/*     */     
/* 240 */     protected DOMCharacterDataModifiedListener(SVGOMStyleElement this$0) { this.this$0 = this$0; }
/*     */ 
/*     */     
/* 243 */     public void handleEvent(Event evt) { this.this$0.styleSheet = null; }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMStyleElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */