/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.util.DoublyIndexedTable;
/*     */ import org.w3c.dom.svg.SVGAnimatedLengthList;
/*     */ import org.w3c.dom.svg.SVGAnimatedNumberList;
/*     */ import org.w3c.dom.svg.SVGTextPositioningElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class SVGOMTextPositioningElement
/*     */   extends SVGOMTextContentElement
/*     */   implements SVGTextPositioningElement
/*     */ {
/*     */   protected static DoublyIndexedTable xmlTraitInformation;
/*     */   protected SVGOMAnimatedLengthList x;
/*     */   protected SVGOMAnimatedLengthList y;
/*     */   protected SVGOMAnimatedLengthList dx;
/*     */   protected SVGOMAnimatedLengthList dy;
/*     */   protected SVGOMAnimatedNumberList rotate;
/*     */   
/*     */   static  {
/*  44 */     t = new DoublyIndexedTable(SVGOMTextContentElement.xmlTraitInformation);
/*     */     
/*  46 */     t.put(null, "x", new TraitInformation(true, 14, (short)1));
/*     */     
/*  48 */     t.put(null, "y", new TraitInformation(true, 14, (short)2));
/*     */     
/*  50 */     t.put(null, "dx", new TraitInformation(true, 14, (short)1));
/*     */     
/*  52 */     t.put(null, "dy", new TraitInformation(true, 14, (short)2));
/*     */     
/*  54 */     t.put(null, "rotate", new TraitInformation(true, 13));
/*     */     
/*  56 */     xmlTraitInformation = t;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMTextPositioningElement() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGOMTextPositioningElement(String prefix, AbstractDocument owner) {
/*  97 */     super(prefix, owner);
/*  98 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeAllLiveAttributes() {
/* 105 */     super.initializeAllLiveAttributes();
/* 106 */     initializeLiveAttributes();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeLiveAttributes() {
/* 113 */     this.x = createLiveAnimatedLengthList(null, "x", getDefaultXValue(), true, (short)2);
/*     */ 
/*     */     
/* 116 */     this.y = createLiveAnimatedLengthList(null, "y", getDefaultYValue(), true, (short)1);
/*     */ 
/*     */     
/* 119 */     this.dx = createLiveAnimatedLengthList(null, "dx", "", true, (short)2);
/*     */ 
/*     */     
/* 122 */     this.dy = createLiveAnimatedLengthList(null, "dy", "", true, (short)1);
/*     */ 
/*     */     
/* 125 */     this.rotate = createLiveAnimatedNumberList(null, "rotate", "", true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 133 */   public SVGAnimatedLengthList getX() { return this.x; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 140 */   public SVGAnimatedLengthList getY() { return this.y; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 147 */   public SVGAnimatedLengthList getDx() { return this.dx; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 154 */   public SVGAnimatedLengthList getDy() { return this.dy; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 161 */   public SVGAnimatedNumberList getRotate() { return this.rotate; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 168 */   protected String getDefaultXValue() { return ""; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 175 */   protected String getDefaultYValue() { return ""; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 182 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMTextPositioningElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */