/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import java.awt.geom.Point2D;
/*     */ import java.awt.geom.Rectangle2D;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Element;
/*     */ import org.w3c.dom.svg.SVGPoint;
/*     */ import org.w3c.dom.svg.SVGRect;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGTextContentSupport
/*     */ {
/*     */   public static int getNumberOfChars(Element elt) {
/*  43 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/*  45 */     return ((SVGTextContent)svgelt.getSVGContext()).getNumberOfChars();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SVGRect getExtentOfChar(Element elt, int charnum) {
/*  53 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/*  55 */     if (charnum < 0 || charnum >= getNumberOfChars(elt))
/*     */     {
/*  57 */       throw svgelt.createDOMException((short)1, "", null);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  62 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/*  64 */     return new SVGRect(svgelt, context, charnum)
/*     */       {
/*  66 */         public float getX() { return (float)SVGTextContentSupport.getExtent(this.val$svgelt, this.val$context, this.val$charnum).getX(); }
/*     */         private final SVGOMElement val$svgelt; private final SVGTextContent val$context;
/*     */         private final int val$charnum;
/*     */         
/*  70 */         public void setX(float x) throws DOMException { throw this.val$svgelt.createDOMException((short)7, "readonly.rect", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  76 */         public float getY() { return (float)SVGTextContentSupport.getExtent(this.val$svgelt, this.val$context, this.val$charnum).getY(); }
/*     */ 
/*     */ 
/*     */         
/*  80 */         public void setY(float y) throws DOMException { throw this.val$svgelt.createDOMException((short)7, "readonly.rect", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  86 */         public float getWidth() { return (float)SVGTextContentSupport.getExtent(this.val$svgelt, this.val$context, this.val$charnum).getWidth(); }
/*     */ 
/*     */ 
/*     */         
/*  90 */         public void setWidth(float width) throws DOMException { throw this.val$svgelt.createDOMException((short)7, "readonly.rect", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  96 */         public float getHeight() { return (float)SVGTextContentSupport.getExtent(this.val$svgelt, this.val$context, this.val$charnum).getHeight(); }
/*     */ 
/*     */ 
/*     */         
/* 100 */         public void setHeight(float height) throws DOMException { throw this.val$svgelt.createDOMException((short)7, "readonly.rect", null); }
/*     */       };
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Rectangle2D getExtent(SVGOMElement svgelt, SVGTextContent context, int charnum) {
/* 109 */     Rectangle2D r2d = context.getExtentOfChar(charnum);
/* 110 */     if (r2d == null) throw svgelt.createDOMException((short)1, "", null);
/*     */     
/* 112 */     return r2d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SVGPoint getStartPositionOfChar(Element elt, int charnum) throws DOMException {
/* 122 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/* 124 */     if (charnum < 0 || charnum >= getNumberOfChars(elt))
/*     */     {
/* 126 */       throw svgelt.createDOMException((short)1, "", null);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 131 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/* 133 */     return new SVGTextPoint(context, charnum, svgelt) { private final SVGTextContent val$context;
/*     */         
/* 135 */         public float getX() { return (float)SVGTextContentSupport.getStartPos(this.svgelt, this.val$context, this.val$charnum).getX(); }
/*     */         
/*     */         private final int val$charnum;
/*     */         
/* 139 */         public float getY() { return (float)SVGTextContentSupport.getStartPos(this.svgelt, this.val$context, this.val$charnum).getY(); } }
/*     */       ;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Point2D getStartPos(SVGOMElement svgelt, SVGTextContent context, int charnum) {
/* 147 */     Point2D p2d = context.getStartPositionOfChar(charnum);
/* 148 */     if (p2d == null) throw svgelt.createDOMException((short)1, "", null);
/*     */     
/* 150 */     return p2d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static SVGPoint getEndPositionOfChar(Element elt, int charnum) throws DOMException {
/* 160 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/* 162 */     if (charnum < 0 || charnum >= getNumberOfChars(elt))
/*     */     {
/* 164 */       throw svgelt.createDOMException((short)1, "", null);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 169 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/* 171 */     return new SVGTextPoint(context, charnum, svgelt) { private final SVGTextContent val$context;
/*     */         
/* 173 */         public float getX() { return (float)SVGTextContentSupport.getEndPos(this.svgelt, this.val$context, this.val$charnum).getX(); }
/*     */         
/*     */         private final int val$charnum;
/*     */         
/* 177 */         public float getY() { return (float)SVGTextContentSupport.getEndPos(this.svgelt, this.val$context, this.val$charnum).getY(); } }
/*     */       ;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static Point2D getEndPos(SVGOMElement svgelt, SVGTextContent context, int charnum) {
/* 185 */     Point2D p2d = context.getEndPositionOfChar(charnum);
/* 186 */     if (p2d == null) throw svgelt.createDOMException((short)1, "", null);
/*     */     
/* 188 */     return p2d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void selectSubString(Element elt, int charnum, int nchars) {
/* 197 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/* 199 */     if (charnum < 0 || charnum >= getNumberOfChars(elt))
/*     */     {
/* 201 */       throw svgelt.createDOMException((short)1, "", null);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 206 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/* 208 */     context.selectSubString(charnum, nchars);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getRotationOfChar(Element elt, int charnum) {
/* 216 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/* 218 */     if (charnum < 0 || charnum >= getNumberOfChars(elt))
/*     */     {
/* 220 */       throw svgelt.createDOMException((short)1, "", null);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 225 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/* 227 */     return context.getRotationOfChar(charnum);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getComputedTextLength(Element elt) {
/* 236 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/* 238 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/* 240 */     return context.getComputedTextLength();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getSubStringLength(Element elt, int charnum, int nchars) {
/* 249 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/* 251 */     if (charnum < 0 || charnum >= getNumberOfChars(elt))
/*     */     {
/* 253 */       throw svgelt.createDOMException((short)1, "", null);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 258 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/* 260 */     return context.getSubStringLength(charnum, nchars);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getCharNumAtPosition(Element elt, float x, float y) throws DOMException {
/* 269 */     SVGOMElement svgelt = (SVGOMElement)elt;
/*     */     
/* 271 */     SVGTextContent context = (SVGTextContent)svgelt.getSVGContext();
/*     */     
/* 273 */     return context.getCharNumAtPosition(x, y);
/*     */   }
/*     */   
/*     */   public static class SVGTextPoint extends SVGOMPoint {
/*     */     SVGOMElement svgelt;
/*     */     
/* 279 */     SVGTextPoint(SVGOMElement elem) { this.svgelt = elem; }
/*     */ 
/*     */     
/* 282 */     public void setX(float x) throws DOMException { throw this.svgelt.createDOMException((short)7, "readonly.point", null); }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 287 */     public void setY(float y) throws DOMException { throw this.svgelt.createDOMException((short)7, "readonly.point", null); }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGTextContentSupport.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */