/*     */ package org.apache.batik.dom.svg12;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSNavigableDocumentListener;
/*     */ import org.apache.batik.dom.svg.SVGOMDocument;
/*     */ import org.w3c.dom.DOMImplementation;
/*     */ import org.w3c.dom.DocumentType;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.events.EventListener;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVG12OMDocument
/*     */   extends SVGOMDocument
/*     */ {
/*     */   protected SVG12OMDocument() {}
/*     */   
/*  50 */   public SVG12OMDocument(DocumentType dt, DOMImplementation impl) { super(dt, impl); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  59 */   protected Node newNode() { return new SVG12OMDocument(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addCSSNavigableDocumentListener(CSSNavigableDocumentListener l) {
/*  70 */     if (this.cssNavigableDocumentListeners.containsKey(l)) {
/*     */       return;
/*     */     }
/*     */     
/*  74 */     SVGOMDocument.DOMNodeInsertedListenerWrapper nodeInserted = new SVGOMDocument.DOMNodeInsertedListenerWrapper(this, l);
/*     */     
/*  76 */     SVGOMDocument.DOMNodeRemovedListenerWrapper nodeRemoved = new SVGOMDocument.DOMNodeRemovedListenerWrapper(this, l);
/*     */     
/*  78 */     SVGOMDocument.DOMSubtreeModifiedListenerWrapper subtreeModified = new SVGOMDocument.DOMSubtreeModifiedListenerWrapper(this, l);
/*     */     
/*  80 */     SVGOMDocument.DOMCharacterDataModifiedListenerWrapper cdataModified = new SVGOMDocument.DOMCharacterDataModifiedListenerWrapper(this, l);
/*     */     
/*  82 */     SVGOMDocument.DOMAttrModifiedListenerWrapper attrModified = new SVGOMDocument.DOMAttrModifiedListenerWrapper(this, l);
/*     */ 
/*     */     
/*  85 */     this.cssNavigableDocumentListeners.put(l, new EventListener[] { nodeInserted, nodeRemoved, subtreeModified, cdataModified, attrModified });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  92 */     XBLEventSupport es = (XBLEventSupport)initializeEventSupport();
/*     */     
/*  94 */     es.addImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMNodeInserted", nodeInserted, false);
/*     */ 
/*     */ 
/*     */     
/*  98 */     es.addImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMNodeRemoved", nodeRemoved, false);
/*     */ 
/*     */ 
/*     */     
/* 102 */     es.addImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMSubtreeModified", subtreeModified, false);
/*     */ 
/*     */ 
/*     */     
/* 106 */     es.addImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMCharacterDataModified", cdataModified, false);
/*     */ 
/*     */ 
/*     */     
/* 110 */     es.addImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMAttrModified", attrModified, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void removeCSSNavigableDocumentListener(CSSNavigableDocumentListener l) {
/* 122 */     EventListener[] listeners = (EventListener[])this.cssNavigableDocumentListeners.get(l);
/*     */     
/* 124 */     if (listeners == null) {
/*     */       return;
/*     */     }
/*     */     
/* 128 */     XBLEventSupport es = (XBLEventSupport)initializeEventSupport();
/*     */     
/* 130 */     es.removeImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMNodeInserted", listeners[0], false);
/*     */ 
/*     */ 
/*     */     
/* 134 */     es.removeImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMNodeRemoved", listeners[1], false);
/*     */ 
/*     */ 
/*     */     
/* 138 */     es.removeImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMSubtreeModified", listeners[2], false);
/*     */ 
/*     */ 
/*     */     
/* 142 */     es.removeImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMCharacterDataModified", listeners[3], false);
/*     */ 
/*     */ 
/*     */     
/* 146 */     es.removeImplementationEventListenerNS("http://www.w3.org/2001/xml-events", "DOMAttrModified", listeners[4], false);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 151 */     this.cssNavigableDocumentListeners.remove(l);
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg12\SVG12OMDocument.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */