/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import java.util.Iterator;
/*     */ import java.util.LinkedList;
/*     */ import org.apache.batik.anim.values.AnimatableValue;
/*     */ import org.apache.batik.dom.anim.AnimationTarget;
/*     */ import org.w3c.dom.Attr;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractSVGAnimatedValue
/*     */   implements AnimatedLiveAttributeValue
/*     */ {
/*     */   protected AbstractElement element;
/*     */   protected String namespaceURI;
/*     */   protected String localName;
/*     */   protected boolean hasAnimVal;
/*     */   protected LinkedList listeners;
/*     */   
/*     */   public AbstractSVGAnimatedValue(AbstractElement elt, String ns, String ln) {
/*  59 */     this.listeners = new LinkedList();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  65 */     this.element = elt;
/*  66 */     this.namespaceURI = ns;
/*  67 */     this.localName = ln;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  74 */   public String getNamespaceURI() { return this.namespaceURI; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  81 */   public String getLocalName() { return this.localName; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  90 */   public boolean isSpecified() { return (this.hasAnimVal || this.element.hasAttributeNS(this.namespaceURI, this.localName)); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract void updateAnimatedValue(AnimatableValue paramAnimatableValue);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addAnimatedAttributeListener(AnimatedAttributeListener aal) {
/* 102 */     if (!this.listeners.contains(aal)) {
/* 103 */       this.listeners.add(aal);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 111 */   public void removeAnimatedAttributeListener(AnimatedAttributeListener aal) { this.listeners.remove(aal); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void fireBaseAttributeListeners() {
/* 118 */     if (this.element instanceof SVGOMElement) {
/* 119 */       ((SVGOMElement)this.element).fireBaseAttributeListeners(this.namespaceURI, this.localName);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void fireAnimatedAttributeListeners() {
/* 128 */     Iterator i = this.listeners.iterator();
/* 129 */     while (i.hasNext()) {
/* 130 */       AnimatedAttributeListener listener = (AnimatedAttributeListener)i.next();
/*     */       
/* 132 */       listener.animatedAttributeChanged(this.element, this);
/*     */     } 
/*     */   }
/*     */   
/*     */   public abstract AnimatableValue getUnderlyingValue(AnimationTarget paramAnimationTarget);
/*     */   
/*     */   public abstract void attrRemoved(Attr paramAttr, String paramString);
/*     */   
/*     */   public abstract void attrModified(Attr paramAttr, String paramString1, String paramString2);
/*     */   
/*     */   public abstract void attrAdded(Attr paramAttr, String paramString);
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\AbstractSVGAnimatedValue.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */