/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.parser.NumberListHandler;
/*     */ import org.apache.batik.parser.NumberListParser;
/*     */ import org.apache.batik.parser.ParseException;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Element;
/*     */ import org.w3c.dom.svg.SVGException;
/*     */ import org.w3c.dom.svg.SVGNumber;
/*     */ import org.w3c.dom.svg.SVGNumberList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractSVGNumberList
/*     */   extends AbstractSVGList
/*     */   implements SVGNumberList
/*     */ {
/*     */   public static final String SVG_NUMBER_LIST_SEPARATOR = " ";
/*     */   
/*  51 */   protected String getItemSeparator() { return " "; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract SVGException createSVGException(short paramShort, String paramString, Object[] paramArrayOfObject);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected abstract Element getElement();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  78 */   public SVGNumber initialize(SVGNumber newItem) throws DOMException, SVGException { return (SVGNumber)initializeImpl(newItem); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  86 */   public SVGNumber getItem(int index) throws DOMException { return (SVGNumber)getItemImpl(index); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   public SVGNumber insertItemBefore(SVGNumber newItem, int index) throws DOMException, SVGException { return (SVGNumber)insertItemBeforeImpl(newItem, index); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 105 */   public SVGNumber replaceItem(SVGNumber newItem, int index) throws DOMException, SVGException { return (SVGNumber)replaceItemImpl(newItem, index); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 112 */   public SVGNumber removeItem(int index) throws DOMException { return (SVGNumber)removeItemImpl(index); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 121 */   public SVGNumber appendItem(SVGNumber newItem) throws DOMException, SVGException { return (SVGNumber)appendItemImpl(newItem); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected SVGItem createSVGItem(Object newItem) {
/* 128 */     SVGNumber l = (SVGNumber)newItem;
/* 129 */     return new SVGNumberItem(this, l.getValue());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void doParse(String value, ListHandler handler) throws ParseException {
/* 140 */     NumberListParser NumberListParser = new NumberListParser();
/* 141 */     NumberListBuilder builder = new NumberListBuilder(this, handler);
/*     */     
/* 143 */     NumberListParser.setNumberListHandler(builder);
/* 144 */     NumberListParser.parse(value);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void checkItemType(Object newItem) throws SVGException {
/* 151 */     if (!(newItem instanceof SVGNumber))
/*     */     {
/* 153 */       createSVGException((short)0, "expected SVGNumber", null);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected class SVGNumberItem
/*     */     extends AbstractSVGNumber
/*     */     implements SVGItem
/*     */   {
/*     */     protected AbstractSVGList parentList;
/*     */ 
/*     */     
/*     */     private final AbstractSVGNumberList this$0;
/*     */ 
/*     */ 
/*     */     
/*     */     public SVGNumberItem(AbstractSVGNumberList this$0, float value) {
/* 172 */       this.this$0 = this$0;
/* 173 */       this.value = value;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 180 */     public String getValueAsString() { return Float.toString(this.value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 187 */     public void setParent(AbstractSVGList list) { this.parentList = list; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 194 */     public AbstractSVGList getParent() { return this.parentList; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected void reset() {
/* 202 */       if (this.parentList != null) {
/* 203 */         this.parentList.itemChanged();
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected class NumberListBuilder
/*     */     implements NumberListHandler
/*     */   {
/*     */     protected ListHandler listHandler;
/*     */ 
/*     */ 
/*     */     
/*     */     protected float currentValue;
/*     */ 
/*     */ 
/*     */     
/*     */     private final AbstractSVGNumberList this$0;
/*     */ 
/*     */ 
/*     */     
/*     */     public NumberListBuilder(AbstractSVGNumberList this$0, ListHandler listHandler) {
/* 227 */       this.this$0 = this$0;
/* 228 */       this.listHandler = listHandler;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 235 */     public void startNumberList() { this.listHandler.startList(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 242 */     public void startNumber() { this.currentValue = 0.0F; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 249 */     public void numberValue(float v) throws ParseException { this.currentValue = v; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 256 */     public void endNumber() { this.listHandler.item(new AbstractSVGNumberList.SVGNumberItem(this.this$0, this.currentValue)); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 263 */     public void endNumberList() { this.listHandler.endList(); }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\AbstractSVGNumberList.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */