/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.anim.values.AnimatableStringValue;
/*     */ import org.apache.batik.anim.values.AnimatableValue;
/*     */ import org.apache.batik.dom.anim.AnimationTarget;
/*     */ import org.w3c.dom.Attr;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.svg.SVGAnimatedString;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGOMAnimatedString
/*     */   extends AbstractSVGAnimatedValue
/*     */   implements SVGAnimatedString
/*     */ {
/*     */   protected String animVal;
/*     */   
/*  52 */   public SVGOMAnimatedString(AbstractElement elt, String ns, String ln) { super(elt, ns, ln); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  59 */   public String getBaseVal() { return this.element.getAttributeNS(this.namespaceURI, this.localName); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  66 */   public void setBaseVal(String baseVal) throws DOMException { this.element.setAttributeNS(this.namespaceURI, this.localName, baseVal); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getAnimVal() {
/*  73 */     if (this.hasAnimVal) {
/*  74 */       return this.animVal;
/*     */     }
/*  76 */     return this.element.getAttributeNS(this.namespaceURI, this.localName);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  83 */   public AnimatableValue getUnderlyingValue(AnimationTarget target) { return new AnimatableStringValue(target, getBaseVal()); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void updateAnimatedValue(AnimatableValue val) {
/*  90 */     if (val == null) {
/*  91 */       this.hasAnimVal = false;
/*     */     } else {
/*  93 */       this.hasAnimVal = true;
/*  94 */       this.animVal = ((AnimatableStringValue)val).getString();
/*     */     } 
/*  96 */     fireAnimatedAttributeListeners();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrAdded(Attr node, String newv) {
/* 103 */     fireBaseAttributeListeners();
/* 104 */     if (!this.hasAnimVal) {
/* 105 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrModified(Attr node, String oldv, String newv) {
/* 113 */     fireBaseAttributeListeners();
/* 114 */     if (!this.hasAnimVal) {
/* 115 */       fireAnimatedAttributeListeners();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void attrRemoved(Attr node, String oldv) {
/* 123 */     fireBaseAttributeListeners();
/* 124 */     if (!this.hasAnimVal)
/* 125 */       fireAnimatedAttributeListeners(); 
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMAnimatedString.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */