/*    */ package org.apache.batik.dom.svg;
/*    */ 
/*    */ import org.apache.batik.dom.AbstractDocument;
/*    */ import org.apache.batik.util.DoublyIndexedTable;
/*    */ import org.w3c.dom.svg.SVGAnimatedString;
/*    */ import org.w3c.dom.svg.SVGURIReference;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public abstract class SVGOMURIReferenceElement
/*    */   extends SVGOMElement
/*    */   implements SVGURIReference
/*    */ {
/*    */   protected static DoublyIndexedTable xmlTraitInformation;
/*    */   protected SVGOMAnimatedString href;
/*    */   
/*    */   static  {
/* 42 */     t = new DoublyIndexedTable(SVGOMElement.xmlTraitInformation);
/*    */     
/* 44 */     t.put("http://www.w3.org/1999/xlink", "href", new TraitInformation(true, 10));
/*    */     
/* 46 */     xmlTraitInformation = t;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   protected SVGOMURIReferenceElement() {}
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   protected SVGOMURIReferenceElement(String prefix, AbstractDocument owner) {
/* 66 */     super(prefix, owner);
/* 67 */     initializeLiveAttributes();
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   protected void initializeAllLiveAttributes() {
/* 74 */     super.initializeAllLiveAttributes();
/* 75 */     initializeLiveAttributes();
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 82 */   private void initializeLiveAttributes() { this.href = createLiveAnimatedString("http://www.w3.org/1999/xlink", "href"); }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 90 */   public SVGAnimatedString getHref() { return this.href; }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 97 */   protected DoublyIndexedTable getTraitInformationTable() { return xmlTraitInformation; }
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGOMURIReferenceElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */