/*    */ package org.apache.batik.dom.svg;
/*    */ 
/*    */ import java.awt.geom.Point2D;
/*    */ import org.w3c.dom.DOMException;
/*    */ import org.w3c.dom.svg.SVGMatrix;
/*    */ import org.w3c.dom.svg.SVGPoint;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class SVGPathSupport
/*    */ {
/*    */   public static float getTotalLength(SVGOMPathElement path) {
/* 40 */     SVGPathContext pathCtx = (SVGPathContext)path.getSVGContext();
/* 41 */     return pathCtx.getTotalLength();
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public static int getPathSegAtLength(SVGOMPathElement path, float x) {
/* 49 */     SVGPathContext pathCtx = (SVGPathContext)path.getSVGContext();
/* 50 */     return pathCtx.getPathSegAtLength(x);
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public static SVGPoint getPointAtLength(SVGOMPathElement path, float distance) {
/* 58 */     SVGPathContext pathCtx = (SVGPathContext)path.getSVGContext();
/* 59 */     if (pathCtx == null) return null;
/*    */     
/* 61 */     return new SVGPoint(pathCtx, distance, path) { private final SVGPathContext val$pathCtx;
/*    */         public float getX() {
/* 63 */           Point2D pt = this.val$pathCtx.getPointAtLength(this.val$distance);
/* 64 */           return (float)pt.getX();
/*    */         } private final float val$distance; private final SVGOMPathElement val$path;
/*    */         public float getY() {
/* 67 */           Point2D pt = this.val$pathCtx.getPointAtLength(this.val$distance);
/* 68 */           return (float)pt.getY();
/*    */         }
/*    */         
/* 71 */         public void setX(float x) throws DOMException { throw this.val$path.createDOMException((short)7, "readonly.point", null); }
/*    */ 
/*    */ 
/*    */ 
/*    */         
/* 76 */         public void setY(float y) throws DOMException { throw this.val$path.createDOMException((short)7, "readonly.point", null); }
/*    */ 
/*    */ 
/*    */ 
/*    */         
/* 81 */         public SVGPoint matrixTransform(SVGMatrix matrix) { throw this.val$path.createDOMException((short)7, "readonly.point", null); } }
/*    */       ;
/*    */   }
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGPathSupport.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */