/*     */ package org.apache.batik.dom.svg;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.CSSStyleSheetNode;
/*     */ import org.apache.batik.css.engine.StyleSheet;
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.dom.StyleSheetFactory;
/*     */ import org.apache.batik.dom.StyleSheetProcessingInstruction;
/*     */ import org.apache.batik.dom.util.HashTable;
/*     */ import org.apache.batik.util.ParsedURL;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Node;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SVGStyleSheetProcessingInstruction
/*     */   extends StyleSheetProcessingInstruction
/*     */   implements CSSStyleSheetNode
/*     */ {
/*     */   protected StyleSheet styleSheet;
/*     */   
/*     */   protected SVGStyleSheetProcessingInstruction() {}
/*     */   
/*  60 */   public SVGStyleSheetProcessingInstruction(String data, AbstractDocument owner, StyleSheetFactory f) { super(data, owner, f); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getStyleSheetURI() {
/*  67 */     SVGOMDocument svgDoc = (SVGOMDocument)getOwnerDocument();
/*  68 */     ParsedURL url = svgDoc.getParsedURL();
/*  69 */     String href = (String)getPseudoAttributes().get("href");
/*  70 */     if (url != null) {
/*  71 */       return (new ParsedURL(url, href)).toString();
/*     */     }
/*  73 */     return href;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StyleSheet getCSSStyleSheet() {
/*  80 */     if (this.styleSheet == null) {
/*  81 */       HashTable attrs = getPseudoAttributes();
/*  82 */       String type = (String)attrs.get("type");
/*     */       
/*  84 */       if ("text/css".equals(type)) {
/*  85 */         String title = (String)attrs.get("title");
/*  86 */         String media = (String)attrs.get("media");
/*  87 */         String href = (String)attrs.get("href");
/*  88 */         String alternate = (String)attrs.get("alternate");
/*  89 */         SVGOMDocument doc = (SVGOMDocument)getOwnerDocument();
/*  90 */         ParsedURL durl = doc.getParsedURL();
/*  91 */         ParsedURL burl = new ParsedURL(durl, href);
/*  92 */         CSSEngine e = doc.getCSSEngine();
/*     */         
/*  94 */         this.styleSheet = e.parseStyleSheet(burl, media);
/*  95 */         this.styleSheet.setAlternate("yes".equals(alternate));
/*  96 */         this.styleSheet.setTitle(title);
/*     */       } 
/*     */     } 
/*  99 */     return this.styleSheet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setData(String data) throws DOMException {
/* 107 */     super.setData(data);
/* 108 */     this.styleSheet = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 115 */   protected Node newNode() { return new SVGStyleSheetProcessingInstruction(); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg\SVGStyleSheetProcessingInstruction.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */