/*     */ package org.apache.batik.dom.svg12;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.apache.batik.dom.svg.SVGOMElement;
/*     */ import org.apache.batik.dom.util.DOMUtilities;
/*     */ import org.apache.batik.util.XBLConstants;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Node;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class XBLOMElement
/*     */   extends SVGOMElement
/*     */   implements XBLConstants
/*     */ {
/*     */   protected String prefix;
/*     */   
/*     */   protected XBLOMElement() {}
/*     */   
/*     */   protected XBLOMElement(String prefix, AbstractDocument owner) {
/*  55 */     this.ownerDocument = owner;
/*  56 */     setPrefix(prefix);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNodeName() {
/*  63 */     if (this.prefix == null || this.prefix.equals("")) {
/*  64 */       return getLocalName();
/*     */     }
/*     */     
/*  67 */     return this.prefix + ':' + getLocalName();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  74 */   public String getNamespaceURI() { return "http://www.w3.org/2004/xbl"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrefix(String prefix) throws DOMException {
/*  81 */     if (isReadonly()) {
/*  82 */       throw createDOMException((short)7, "readonly.node", new Object[] { new Integer(getNodeType()), getNodeName() });
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  87 */     if (prefix != null && !prefix.equals("") && !DOMUtilities.isValidName(prefix))
/*     */     {
/*     */       
/*  90 */       throw createDOMException((short)5, "prefix", new Object[] { new Integer(getNodeType()), getNodeName(), prefix });
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  96 */     this.prefix = prefix;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node export(Node n, AbstractDocument d) {
/* 103 */     super.export(n, d);
/* 104 */     XBLOMElement e = (XBLOMElement)n;
/* 105 */     e.prefix = this.prefix;
/* 106 */     return n;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node deepExport(Node n, AbstractDocument d) {
/* 113 */     super.deepExport(n, d);
/* 114 */     XBLOMElement e = (XBLOMElement)n;
/* 115 */     e.prefix = this.prefix;
/* 116 */     return n;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node copyInto(Node n) {
/* 124 */     super.copyInto(n);
/* 125 */     XBLOMElement e = (XBLOMElement)n;
/* 126 */     e.prefix = this.prefix;
/* 127 */     return n;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node deepCopyInto(Node n) {
/* 135 */     super.deepCopyInto(n);
/* 136 */     XBLOMElement e = (XBLOMElement)n;
/* 137 */     e.prefix = this.prefix;
/* 138 */     return n;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-svg-dom.jar!\org\apache\batik\dom\svg12\XBLOMElement.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */